﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace _20160311_ThinkgeoDll8
{
    public abstract class LayerBase
    {
        public string NomOverlay { get; set; }
        public string NomLayer { get; set; }
        public int OrderDisplay { get; set; }
        public bool? Visible { get; set; }
        public double? Transparence { get; set; }

        public LayerBase(string nomLayer, string nomOverlay, int orderDisplay, bool? visible)
        {
            this.NomLayer = nomLayer;
            this.NomOverlay = nomOverlay;
            this.OrderDisplay = orderDisplay;
            this.Visible = visible;
            this.Transparence = 255;
        }

        internal abstract Layer CreateLayer(int projectionAffichage);
        internal abstract Layer CreateLayer(int projectionLayer, int projectionAffichage);
        internal abstract Layer CreateLayer(string internalProjection, int projectionAffichage);        
    }
}
