﻿
using System;
using System.Collections;
using System.Collections.ObjectModel;
using System.IO;
using GisSharpBlog.NetTopologySuite.Geometries;
using GisSharpBlog.NetTopologySuite.Index.Strtree;
using ThinkGeo.MapSuite.Core;
using System.Globalization;

namespace _20160311_ThinkgeoDll9
{
    public class MultiGeoRasterLayerECW : MultiGeoRasterLayer
    {

        public MultiGeoRasterLayerECW()
            :base ()
        { }

        public MultiGeoRasterLayerECW(string rasterRefrencePathFileName, double upperScale, double lowerScale,string nomLayer)
            : base(rasterRefrencePathFileName, upperScale, lowerScale,nomLayer)
        { }

        public override RasterLayer CreateLayer(string file)
        {
            return new EcwRasterLayer(file);
        }
    }
}