﻿using System;
using System.Collections;
using System.Collections.ObjectModel;
using System.IO;
using GisSharpBlog.NetTopologySuite.Geometries;
using GisSharpBlog.NetTopologySuite.Index.Strtree;
using ThinkGeo.MapSuite.Core;
using System.Globalization;

namespace _20160311_ThinkgeoDll9
{
    public class MultiGeoRasterLayerTIF : MultiGeoRasterLayer
    {

        public MultiGeoRasterLayerTIF()
            //: base(string.Empty, double.MaxValue, double.MinValue,string.Empty)
            : base()
        { }

        public MultiGeoRasterLayerTIF(string rasterRefrencePathFileName, double upperScale, double lowerScale,string nomLayer)
            : base(rasterRefrencePathFileName, upperScale, lowerScale,nomLayer)
        {
        }  

        /// <summary>
        /// Création du type de layer Raster
        /// </summary>
        /// <param name="file"></param>
        /// <returns></returns>
        public override RasterLayer CreateLayer(string file)
        {
            return new GeoTiffRasterLayer(file);
            //return new GdalRasterLayer(file, @"C:\Steph_DevEnCours\ECWJP2_FuiteMemoire\Thinkgeo_20141001_EcwJp2Problem\Thinkgeo_20141001_EcwJp2Problem\bin\Debug\R\516000_2566100_L93_comp_90.tab");
        }
 
    }
}

